// First_gesture_app.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include "util_pipeline.h"
#include "gesture_render.h"
#include "pxcgesture.h"

//   UtilPipeline
class GesturePipeline: public UtilPipeline {
public:
// 
GesturePipeline (void):UtilPipeline(),m_render(L"Gesture Viewer") {
//    
	EnableGesture(); 
}
// OnGesture ,    
virtual void PXCAPI OnGesture(PXCGesture::Gesture *data) {
if (data->active) m_gdata = (*data);
switch (data->label) {
			case PXCGesture::Gesture::LABEL_NAV_SWIPE_LEFT: wprintf_s(L"h");  break; //    
			case PXCGesture::Gesture::LABEL_NAV_SWIPE_RIGHT: wprintf_s(L"e"); break; //    
			case PXCGesture::Gesture::LABEL_POSE_PEACE: wprintf_s(L"l"); break;//   
			case PXCGesture::Gesture::LABEL_POSE_THUMB_DOWN: wprintf_s(L"!"); break; //      
			case PXCGesture::Gesture::LABEL_POSE_THUMB_UP: wprintf_s(L"o"); break;//     
			//case PXCGesture::Gesture::LABEL_HAND_WAVE: wprintf_s(L"God buy!!");  break; //   
			}
}

//  
virtual bool OnNewFrame(void) {
return m_render.RenderFrame(QueryImage(PXCImage::IMAGE_TYPE_DEPTH),
QueryGesture(), &m_gdata);
}

protected:
GestureRender m_render;
PXCGesture::Gesture m_gdata;
};
int _tmain(int argc, _TCHAR* argv[])
{
	
	GesturePipeline pipeline;
	pipeline.LoopFrames();
	return 0;
}

